Epson Perfection V100 Photo Scanner on Lenny

Getting your soundcard to work, using Debian on non-i386 hardware, etc

Epson Perfection V100 Photo Scanner on Lenny

Postby pontke » 2008-03-09 15:48

Hello,

I'm new to Debian (and fairly new to the Debian world, I came from the RPM world).

I purchased a new desktop computer, and I installed Debian Lenny on it. The reason I'm using Lenny instead of Etch is because my sound card was not recognized and I couldn't get it to work on Etch. When I upgraded to Lenny, it works perfectly out of the box.

Anyway, I'm having trouble getting my Epson V100 photo scanner to work. I went to the Avasys website for the Epson scanners, downloaded the two .rpm files, and converted them to .debs using alien.

However, I'm running into dependency issues in Lenny (which may not be present in Etch based on what I read). When I run dpkg --force-overwrite -i iscan-2.x.x.rpm I get errors that look like the following:

root@3[iscan-2.4.0-0.c2]# dpkg --force-overwrite -i ./iscan_2.4.0-1_i386.deb
(Reading database ... 110717 files and directories currently installed.)
Unpacking iscan (from ./iscan_2.4.0-1_i386.deb) ...
dpkg - warning, overriding problem because --force enabled:
trying to overwrite `/usr/lib/sane/libsane-epkowa.la', which is also in package libsane-extras
dpkg - warning, overriding problem because --force enabled:
trying to overwrite `/usr/lib/sane/libsane-epkowa.so.1', which is also in package libsane-extras

The conflict is with libsane-extras, so according to many posts, the solution is supposed to be to remove libsane-extras. This does not work on Lenny. libsane-extras depends on libsane plus about 10 other packages including KDE. libsane depends on libsane-extras, so it is impossible (so it seems) to have one and not the other.

Has anyone figured out how to install the Epson scanner drivers on Lenny? Does anyone have an Epson scanner that they successfully got to work on Lenny?

So far everything else is working great on Lenny and I'm loving it. The only hurdle right now is the scanner. Any help would be greatly appreciated.
pontke
 
Posts: 27
Joined: 2008-03-09 15:31

epson and libsane-extras

Postby brendon » 2008-03-25 08:36

Hi,
:!: updated June 2009 - fortunately this reply has now become obsolete as there are new drivers on the epson site (http://avasys.jp/hp/menu000000500/hpg000000442.htm),
these now come as debian packages and seem to install without problems.

I just ran into the same issue with an epson v200 scanner.
I couldn't see how to remove libsane-extras without removing the rest of sane.
dpkg's '--force -overwrite' option didn't do enough to get iscan installed anyway.
In the end I used:
dpkg --force-overwrite --force-conflicts --install iscan_2.8*deb
dpkg --force-overwrite --force-conflicts --install iscan-plugin*deb
so far so good -
go to gimp,
in 'Xtns' menu, go to 'acquire image', this should have an entry for the epson program (iscan)

(by the way, Krafft's Debian book notes that '--force-conflicts' is "generally a good way to shoot yourself in the foot"! - so I'll let you know if I run into problems)

ps - yes, I had problems!
the scanner has worked fine. But when I updated my lenny system, the update didn't like the way libsane-extras wasn't in the state it should have been (because of my '--force-conflicts' installation of the iscan packages).
It didn't restart X (- which was ok, I just followed the suggestion made by aptitude (running 'dpkg --reconfigure -a'), and then installed my ati driver which had been left out of the update). In the end I used aptitude to purge the iscan packages (they live in the "obsolete and locally created packages" section of aptitude), completed the update, and reinstalled the iscan stuff later.

Before I next update, I will remove the iscan stuff before the update. A hassle, but I'm in the middle of making digital backups of old film negatives, and the v200 is a reasonably priced negative capable scanner.
I have kept etch on another partition, so if all else fails, I'll boot into that for negative scanning.
Last edited by brendon on 2009-06-03 08:03, edited 1 time in total.
brendon
 
Posts: 15
Joined: 2006-07-06 07:06
Location: New Zealand

Postby garrincha » 2008-10-29 11:56

EDIT - wrong trend.
Maurice Green on Usain Bolt's 9.58: "The Earth stopped for a second, and he went to Mars."
User avatar
garrincha
 
Posts: 2340
Joined: 2006-06-02 16:38

Postby RicanDeRhino » 2009-02-26 22:24

How I managed to make the epson v200 scanner work:

2.6.24-2.6.24.5.slh.1-sidux-686
i386

(certainly from far not the best way but the only one I found)

I did this because none of the dpkg's --force options ( --force-overwrite --force-conflicts) were efficient. dpkg still was refusing to install.

The principle:
Open the iscan archive
Edit the control file
Remove "libsane-extras, "
Save
Close
dpkg -i iscan_2.16.1-1_i386.deb
(still not working)
dpkg -i iscan-plugin-gt-f670_2.1.0-2_i386.deb
(endly working with xsane)

Practicely:
(I did it with a gui, a shame but... ok lets'be humble!)
Extract iscan_2.16.1-1_i386.deb with ark in any directory
It gives you 3 files
Extract control.tar.gz in any directory
Edit the "control" file like said (erase the "libsane-extras, ")
Save
Rebuild a new control.tar.gz with the same content it has.
Open iscan_2.16.1-1_i386.deb with ark
Delete control.tar.gz
Replace it with the control.tar.gz you just made by sliding it in with your mouse from the file manages you use
Close the archive and install.


If someone has a more elegant way to modify a deb package, would be glad to learn...
RicanDeRhino
 
Posts: 2
Joined: 2007-01-13 08:59


Return to Hardware

Who is online

Users browsing this forum: No registered users and 17 guests

fashionable